{
  "name": "meet-show",
  "version": "0.0.0",
  "description": "Description for meetShow",
  "private": true,
  "license": "UNLICENSED",
  "cacheDirectories": [
    "node_modules"
  ],
  "dependencies": {
    "@angular/common": "7.2.12",
    "@angular/compiler": "7.2.12",
    "@angular/core": "7.2.12",
    "@angular/forms": "7.2.12",
    "@angular/platform-browser": "7.2.12",
    "@angular/platform-browser-dynamic": "7.2.12",
    "@angular/router": "7.2.12",
    "@fortawesome/angular-fontawesome": "0.3.0",
    "@fortawesome/fontawesome-svg-core": "1.2.17",
    "@fortawesome/free-solid-svg-icons": "5.8.1",
    "@ng-bootstrap/ng-bootstrap": "4.1.1",
    "@ngx-translate/core": "11.0.1",
    "@ngx-translate/http-loader": "4.0.0",
    "bootstrap": "4.3.1",
    "bootswatch": "4.2.1",
    "core-js": "2.6.5",
    "moment": "2.24.0",
    "ng-jhipster": "0.9.3",
    "ngx-cookie": "4.0.2",
    "ngx-infinite-scroll": "7.1.0",
    "ngx-webstorage": "3.0.2",
    "rxjs": "6.4.0",
    "swagger-ui": "2.2.10",
    "tslib": "1.9.3",
    "zone.js": "0.8.29"
  },
  "devDependencies": {
    "@angular/cli": "7.3.8",
    "@angular/compiler-cli": "7.2.12",
    "@ngtools/webpack": "7.3.8",
    "@types/jest": "24.0.11",
    "@types/node": "10.12.27",
    "angular-router-loader": "0.8.5",
    "angular2-template-loader": "0.6.2",
    "autoprefixer": "9.5.0",
    "base-href-webpack-plugin": "2.0.0",
    "browser-sync": "2.26.5",
    "browser-sync-webpack-plugin": "2.2.2",
    "cache-loader": "2.0.1",
    "codelyzer": "5.0.0",
    "copy-webpack-plugin": "5.0.2",
    "css-loader": "2.1.1",
    "file-loader": "3.0.1",
    "fork-ts-checker-webpack-plugin": "1.0.1",
    "friendly-errors-webpack-plugin": "1.7.0",
    "generator-jhipster": "6.0.1",
    "html-loader": "0.5.5",
    "html-webpack-plugin": "3.2.0",
    "husky": "1.3.1",
    "jest": "24.7.1",
    "jest-junit": "6.3.0",
    "jest-preset-angular": "7.0.1",
    "jest-sonar-reporter": "2.0.0",
    "lint-staged": "8.1.5",
    "mini-css-extract-plugin": "0.5.0",
    "moment-locales-webpack-plugin": "1.0.7",
    "optimize-css-assets-webpack-plugin": "5.0.1",
    "postcss-loader": "3.0.0",
    "prettier": "1.16.4",
    "reflect-metadata": "0.1.13",
    "rimraf": "2.6.3",
    "sass": "1.17.4",
    "sass-loader": "7.1.0",
    "simple-progress-webpack-plugin": "1.1.2",
    "style-loader": "0.23.1",
    "terser-webpack-plugin": "1.2.3",
    "thread-loader": "2.1.2",
    "to-string-loader": "1.1.5",
    "ts-loader": "5.3.3",
    "tslint": "5.15.0",
    "tslint-config-prettier": "1.18.0",
    "tslint-loader": "3.5.4",
    "typescript": "3.2.4",
    "webpack": "4.29.6",
    "webpack-cli": "3.3.0",
    "webpack-dev-server": "3.2.1",
    "webpack-merge": "4.2.1",
    "webpack-notifier": "1.7.0",
    "webpack-visualizer-plugin": "0.1.11",
    "workbox-webpack-plugin": "3.6.3",
    "write-file-webpack-plugin": "4.5.0",
    "xml2js": "0.4.19"
  },
  "engines": {
    "node": ">=8.9.0"
  },
  "lint-staged": {
    "{,src/**/}*.{md,json,ts,css,scss,yml}": [
      "prettier --write",
      "git add"
    ]
  },
  "scripts": {
    "prettier:format": "prettier --write \"{,src/**/}*.{md,json,ts,css,scss,yml}\"",
    "lint": "tslint --project tsconfig.json -e 'node_modules/**'",
    "lint:fix": "npm run lint -- --fix",
    "ngc": "ngc -p tsconfig-aot.json",
    "cleanup": "rimraf target/classes/static/ target/classes/aot",
    "clean-www": "rimraf target/classes/static/app/{src,target/}",
    "start": "npm run webpack:dev",
    "start-tls": "npm run webpack:dev -- --env.tls",
    "serve": "npm run start",
    "build": "npm run webpack:prod",
    "test": "npm run lint && jest --coverage --logHeapUsage -w=2 --config src/test/javascript/jest.conf.js",
    "test:watch": "npm run test -- --watch",
    "webpack:dev": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --inline --hot --port=9060 --watch-content-base --env.stats=minimal",
    "webpack:dev-verbose": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --inline --hot --port=9060 --watch-content-base --profile --progress --env.stats=normal",
    "webpack:build:main": "npm run webpack -- --config webpack/webpack.dev.js --env.stats=minimal",
    "webpack:build": "npm run cleanup && npm run webpack:build:main",
    "webpack:prod:main": "npm run webpack -- --config webpack/webpack.prod.js --profile",
    "webpack:prod": "npm run cleanup && npm run webpack:prod:main && npm run clean-www",
    "webpack:test": "npm run test",
    "webpack-dev-server": "node --max_old_space_size=4096 node_modules/webpack-dev-server/bin/webpack-dev-server.js",
    "webpack": "node --max_old_space_size=4096 node_modules/webpack/bin/webpack.js"
  },
  "jestSonar": {
    "reportPath": "target/test-results/jest",
    "reportFile": "TESTS-results-sonar.xml"
  }
}
